UpdateSuggestionState
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.UpdateSuggestionState(ctx, operations.C1APIRoleMiningManagementV1RoleMiningManagementServiceUpdateSuggestionStateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateSuggestionStateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.updateSuggestionState({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/suggestions/{id}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdCatalogId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/suggestions/{id}/state"
payload = { "createdCatalogId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({createdCatalogId: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/suggestions/{id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suggestion": {
"avgCoverage": 123,
"cohortFilters": [
{
"attribute": "<string>",
"values": [
"<string>"
]
}
],
"cohortSize": 123,
"confidence": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdCatalogId": "<string>",
"description": "<string>",
"dimensionCount": 123,
"entitlements": [
{
"appDisplayName": "<string>",
"appId": "<string>",
"appResourceDisplayName": "<string>",
"appResourceTypeDisplayName": "<string>",
"coverage": 123,
"entitlementDisplayName": "<string>",
"entitlementId": "<string>",
"grantedCount": 123,
"riskLevelValueId": "<string>"
}
],
"existingProfileMatches": [
{
"catalogDisplayName": "<string>",
"catalogId": "<string>",
"missingEntitlements": [
{
"appDisplayName": "<string>",
"appId": "<string>",
"appResourceDisplayName": "<string>",
"appResourceTypeDisplayName": "<string>",
"coverage": 123,
"entitlementDisplayName": "<string>",
"entitlementId": "<string>",
"grantedCount": 123,
"riskLevelValueId": "<string>"
}
],
"overlapRatio": 123
}
],
"id": "<string>",
"insights": [
"<string>"
],
"lastGeneratedAt": "2023-11-07T05:31:56Z",
"runId": "<string>",
"suggestedName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"usersWithAll": 123
}
}Role Mining
Update Suggestion State
Transition a role suggestion to a new state, such as accepted, rejected, or dismissed.
POST
/
api
/
v1
/
role-mining
/
suggestions
/
{id}
/
state
UpdateSuggestionState
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.UpdateSuggestionState(ctx, operations.C1APIRoleMiningManagementV1RoleMiningManagementServiceUpdateSuggestionStateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateSuggestionStateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.updateSuggestionState({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the role mining suggestion to update.
Body
application/json
The UpdateSuggestionStateRequest message.
Response
200 - application/json
Successful response
The UpdateSuggestionStateResponse message.
The RoleMiningManagementSuggestion message.
Show child attributes
Show child attributes
Was this page helpful?
⌘I